%define major     12
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           intel-gmmlib
Version:        22.6.0
Release:        %mkrel 1
Summary:        Intel Graphics Memory Management Library
Group:          System/Kernel and hardware
License:        MIT and BSD
URL:            https://github.com/intel/gmmlib
Source0:        %{url}/archive/%{name}-%{version}.tar.gz

# This package relies on intel asm
ExclusiveArch:  x86_64

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++

%description
The Intel Graphics Memory Management Library provides device specific
and buffer management for the Intel Graphics Compute Runtime for OpenCL
and the Intel Media Driver for VAAPI.

#main package (contains .so.[major]. only)
%package -n     %{libname}
#(!) summary for main lib RPM only
Summary:        Intel Graphics Memory Management Library
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with gmmlib.

%package -n     %{develname}
Summary:        Headers for developing programs that will use gmmlib
Group:          Development/C++
Requires:       %{libname} = %{version}
#(!) MANDATORY
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use gmmlib.

%files -n %{libname}
%{_libdir}/libigdgmm.so.%{major}{,.*}

%files -n %{develname}
%doc README.rst
%{_includedir}/igdgmm
%{_libdir}/libigdgmm.so
%{_libdir}/pkgconfig/igdgmm.pc


%prep
%autosetup -p1 -n gmmlib-intel-gmmlib-%{version}
# Fix license perm
chmod -x LICENSE.md README.rst
# Fix source code perm
find Source -name "*.cpp" -exec chmod -x {} ';'
find Source -name "*.h" -exec chmod -x {} ';'


%build
%cmake \
  -DRUN_TEST_SUITE:BOOL=False

%cmake_build


%install
%cmake_install
find %{buildroot} -name '*.la' -delete


%changelog
* Mon Jan 20 2025 ghibo <ghibo> 22.6.0-1.mga9
+ Revision: 2139982
- Update to version 22.6.0
- Update to version 22.5.5
- Update to version 22.5.4
- Update to version 22.5.3
- Update to version 22.5.2
- Update to version 22.4.1
- Update to version 22.4.0
- Update to version 22.3.18

* Wed Jan 11 2023 daviddavid <daviddavid> 22.3.3-1.mga9
+ Revision: 1932207
- new version: 22.3.3

* Wed Dec 28 2022 daviddavid <daviddavid> 22.3.2-1.mga9
+ Revision: 1927476
- new version: 23.3.2

* Wed Nov 23 2022 ghibo <ghibo> 22.3.1-1.mga9
+ Revision: 1910508
- Update to release 22.3.1

* Wed Oct 19 2022 ghibo <ghibo> 22.2.1-1.mga9
+ Revision: 1897592
- Update to release 22.2.1

* Wed Sep 21 2022 luigiwalser <luigiwalser> 22.1.7-1.mga9
+ Revision: 1891283
- 22.1.7

* Thu Mar 31 2022 kekepower <kekepower> 22.0.1-1.mga9
+ Revision: 1836807
- Update to version 22.0.1
- Lib major is 12

* Thu Mar 17 2022 umeabot <umeabot> 21.1.1-2.mga9
+ Revision: 1795403
- Mageia 9 Mass Rebuild

* Fri Apr 09 2021 daviddavid <daviddavid> 21.1.1-1.mga9
+ Revision: 1714321
- new version: 21.1.1

* Tue Mar 02 2021 daviddavid <daviddavid> 20.4.1-1.mga9
+ Revision: 1696203
- new version: 20.4.1

* Sat Dec 26 2020 daviddavid <daviddavid> 20.3.3-1.mga8
+ Revision: 1663815
- new version: 20.3.3

* Wed Sep 09 2020 zezinho <zezinho> 20.2.5-1.mga8
+ Revision: 1623999
- new version 20.2.5

* Mon Aug 24 2020 zezinho <zezinho> 20.2.4-1.mga8
+ Revision: 1618506
- new version 20.2.4

* Wed Jul 01 2020 zezinho <zezinho> 20.2.2-1.mga8
+ Revision: 1600954
- new bugfix version 20.2.2

* Mon Apr 06 2020 zezinho <zezinho> 20.1.1-1.mga8
+ Revision: 1565201
- imported package intel-gmmlib

